Мы используем cookie-файлы
Для оптимизации работы нашего сайта мы используем cookie-файлы. Продолжая использовать сайт, Вы соглашаетесь с использованием cookie-файлов.
Панель управления
  • Русский
  • Українська
  • UAH
  • USD
  • RUB
  • EUR
  • 0-800-307-307  Горячая линия
  • +38(044) 392-74-33  Киев
  • +38(057) 728-39-00  Харьков
  • +38(056) 794-38-31  Днепр
  • +38(032) 229-58-93  Львов
  • +38(048) 738-57-70  Одесса
  • +38(093) 170-15-42  Life
  • +38(067) 400-88-44  Киевстар
  • +1(888)393-24-51  USA, Toll free
  • +44(131)507-01-14  Great Britain
  • +7(499) 348-28-61  Москва

Пожелания и предложения. MySQL 5.6


gn0s1s02
7 лет
0
MySQL 5.6

А будет когда-нибудь поддержка MySQL > 5.6

Евгений В.
7 лет
0

Перенес в "Пожелания и предложения" для рассмотрения руководством.

rudenko
7 лет
0

Ставили мы версию 5.5 появилась проблема с MySQL, связанная с блокировкой таблиц. Сообщили про багу в MySQL, эта бага до сих пор не закрыта. А приводит она к тому, что в определенный момент у пользователя, вопреки здравому смыслу работы MySQL происходит Metadata Lock. При этом запросов на обновление таблиц или на другие операции - нет.

Андрей
5 лет
1

В рамках тестирования запущен сервер с поддержкой mariaDB 10 (совместима с версией mysql 5.5+ добавлены фичи с версии 5.6).
Со своей стороны мы провели начальное тестирование работы системы, проблем не обнаружили, но для того, чтоб минимизировать риски возникновения внештатной ситуации и добавить тестам большей реалистичности мы предлагаем Вам помочь нам приняв участие в тестах.
Что для этого нужно. Напишите нам обращение в технический отдел с пометкой "MariaDB testing" и укажите аккаунт, который можно разместить на тестовом сервере для проверки работы Ваших приложений или модулей.
Уже писал, что сейчас идет "тестирование", что подразумевает некоторую не идеальность ситуации, которая, в свою очередь, выливается в временное отсутствие поддержки бекапирования баз на новом сервере. Этот нюанс будет устранен в ближайшее время, о чем дополнительно будет сообщено в этом посте.
upd1. В случае позитивного результата, полученного в результате тестов, данная версия озвученного ПО будет использоваться у нас на серверах (будет осуществлен постепенное обновление на продакшн серверах), если где-то чего-то не заладится - будет дальше продолжать внутренние эксперименты. Это для понимания общей концепции текущего этапа работ по решению вопроса, озвученного в названии темы.

info620
5 лет
0

Два тижня вже на новій БД - політ нормальний

info620
5 лет
0

З приводу нового серверу БД
1. innodb_file_format наразі Antelope? а хотілоcя б Barracuda. У Barracuda не має проблем з лімітом довжини запису.
2. немає Aria (безпечніша заміна для MyISAM)

Андрей
5 лет
0

По первому пункту - ознакомимся с вопросом и сообщим о результатах.
По второму нужно сделать уточнение в виде апдейта к теме: сейчас на тестовом сервере Maria заменена на Percona. От марии пока отказались из за работы функции вывода версии сервера, под которую не рассчитаны старые CMS (этот момент важен при установке/обновлении CMS и попытке узнать какая версия mysql сервера установлена на хостинге). Percona же себя идентифицирует как обычный mysql, по этому проблем с идентификацией на стороне CMS нет.
К чему я: Aria не поддерживается в percona.

info620
5 лет
0

По второму нужно сделать уточнение в виде апдейта к теме: сейчас на тестовом сервере Maria заменена на Percona. От марии пока отказались из за работы функции вывода версии сервера, под которую не рассчитаны старые CMS (этот момент важен при установке/обновлении CMS и попытке узнать какая версия mysql сервера установлена на хостинге). Percona же себя идентифицирует как обычный mysql, по этому проблем с идентификацией на стороне CMS нет.
К чему я: Aria не поддерживается в percona.
© Андрей

Дійсно є таке. Percona значить Perconа.
Цікавіше момент з InnoDB (чи вже правельніше XtraDB). Точніше якщо зберігати у Barracuda тоді стають доступні два формати зберігання.
формати рядків для формату файлу Antelope:
http://dev.mysql.com/doc/refman/5.7/en/glossary.html#glos_compact_row_format
http://dev.mysql.com/doc/refman/5.7/en/glossary.html#glos_redundant_row_format
формати рядків для формату файлу Barracuda:
http://dev.mysql.com/doc/refman/5.7/en/glossary.html#glos_dynamic_row_format
http://dev.mysql.com/doc/refman/5.7/en/glossary.html#glos_compressed_row_format
Фішка в тому що формат dynamic дозволяє створювати таблиці з багатьма blob/text тоді як будь-який формат Antelope має обмеження пов'язане з тим що частина blob/text обов'язково зберігаються в "сторінці" запису. Barracuda ж коли бачить що запис на вміщається виносить автоматично найдовшу колонку у off-paged (не знаю як перекласти) сховище

Андрей
5 лет
0

Так, новi формати рядкiв програссивнiшi. Ми розглядаємо можливiсть тестування файлового формату Barracuda

vzadavysvichka
5 лет
0

Сообщите, пожалуйста, будет ли стоять более высокая версия MySQL (>5.5). Планирую установить последнюю версию Moodle 2.9.1 , если нет буду переходить на другой хостинг. Спасибо!

Андрей
5 лет
0

Сообщите, пожалуйста, будет ли стоять более высокая версия MySQL © vzadavysvichka

Сейчас, как я уже писал, в тестовом режиме работает более высокая версия mysql. Если есть желание - можем перенести Ваш аккаунт на сервер с новым mysql (percona). Если нет, то Вы вправе воспользоваться этой опцией:
буду переходить на другой хостинг. © vzadavysvichka

Андрей
5 лет
0

Относительно вопроса innodb file format, а именно:

Barracuda © info620

Да, для теста переключим antelope на barracuda. Это будет сделано в течение 1-2 дней.

vzadavysvichka
5 лет
0

Андрей, спасибо за обратную связь! Что нужно, чтобы меня переключили на сервер с новым mysql (percona)? У меня есть желание перейти на него.

Андрей
5 лет
0

Ваш аккаунт переключен на использование нового mysql. Можете тестировать и устанавливать нужную систему.

Андрей
5 лет
0

а хотілоcя б Barracuda © info620

innodb_file_format изменен на barracuda
По возможности проверьте, пожалуйста, все ли работает как нужно.

domkom.ukraine
5 лет
0

Сообщите, пожалуйста, будет ли стоять более высокая версия MySQL (>5.5). Планирую установить последнюю версию Moodle 2.9.1 , если нет буду переходить на другой хостинг. Спасибо! © vzadavysvichka

Получилось установить данную версию moodle или нет?

vzadavysvichka
5 лет
0

Добрый день! У меня получилось установить последнюю версию Moodle 2.9. Пока работает нормально.

Андрей
5 лет
1

upd.
Сейчас для всех новых заказов хостинга уже предоставляется mysql 5.6 по умолчанию.
Cуществующие сервера mysql с версией 5.1 постепенно обновляются до версии 5.6.

Участвовать в общении на этом форуме могут только зарегистрированные пользователи.